# Submit EOR Worker Resignation

POST https://api.letsdeel.com/rest/v2/eor/workers/contracts/{contract_id}/offboarding
Content-Type: multipart/form-data

This endpoint allows workers to formally request the resignation of their EOR contract
 **Token scopes**: `worker:write`

Reference: https://developer.deel.com/api/eor-worker-endpoints/eor-worker-offboarding/submit-eor-worker-resignation

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Deel HRIS SCIM API
  version: 1.0.0
paths:
  /eor/workers/contracts/{contract_id}/offboarding:
    post:
      operationId: submit-eor-worker-resignation
      summary: Submit EOR Worker Resignation
      description: >-
        This endpoint allows workers to formally request the resignation of
        their EOR contract
         **Token scopes**: `worker:write`
      tags:
        - subpackage_eorWorkerOffboarding
      parameters:
        - name: contract_id
          in: path
          description: The unique identifier of the employee contract.
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: >
            ## Authentication

            The Deel API uses bearer tokens to authenticate requests. All API
            calls must be made over HTTPS — calls over plain HTTP or without
            authentication will fail.


            ```curl

            curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
              -H 'Authorization: Bearer YOUR-TOKEN-HERE'
            ```


            [Learn more about authentication](/api/authentication)
          required: true
          schema:
            type: string
      responses:
        '201':
          description: Ok response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/eor-worker-offboarding_submitEORWorkerResignation_Response_201
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/SubmitEorWorkerResignationRequestBadRequestError
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/SubmitEorWorkerResignationRequestUnauthorizedError
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/SubmitEorWorkerResignationRequestForbiddenError
        '404':
          description: Operation failed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorContainer'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/SubmitEorWorkerResignationRequestInternalServerError
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                data:
                  $ref: >-
                    #/components/schemas/EorWorkersContractsContractIdOffboardingPostRequestBodyContentMultipartFormDataSchemaData
              required:
                - data
servers:
  - url: https://api.letsdeel.com/rest/v2
  - url: https://api-staging.letsdeel.com/rest/v2
components:
  schemas:
    EorWorkersContractsContractIdOffboardingPostRequestBodyContentMultipartFormDataSchemaDataReason:
      type: string
      enum:
        - EMPLOYEE_IS_MOVING_TO_ANOTHER_COUNTRY
        - MOVING_EMPLOYEE_TO_INTERNAL_ENTITY
        - MOVING_EMPLOYEE_TO_DEEL_PEO
        - EMPLOYEE_FOUND_ANOTHER_JOB
        - EMPLOYEE_NOT_HAPPY_WITH_BENEFITS
        - EMPLOYEE_NOT_HAPPY_WITH_SALARY
        - EMPLOYEE_NOT_HAPPY_WITH_THE_ROLE
        - EMPLOYEE_NOT_HAPPY_WITH_COMPANY_CULTURE
        - EMPLOYEE_NOT_HAPPY_WITH_DEEL
        - EMPLOYEE_PROJECT_ENDED
        - EMPLOYEE_SWITCHING_TO_OTHER_EOR_PROVIDER
        - EMPLOYEE_LEFT_ROLE_FOR_PERSONAL_MATTERS
        - EMPLOYEE_MOVING_FROM_EOR_TO_CONTRACTOR_OR_FREELANCE
        - WORKER_TYPE_CHANGE
        - PREFERRED_NOT_TO_SAY
      description: The reason for the employee's resignation
      title: >-
        EorWorkersContractsContractIdOffboardingPostRequestBodyContentMultipartFormDataSchemaDataReason
    EorWorkersContractsContractIdOffboardingPostRequestBodyContentMultipartFormDataSchemaData:
      type: object
      properties:
        reason:
          $ref: >-
            #/components/schemas/EorWorkersContractsContractIdOffboardingPostRequestBodyContentMultipartFormDataSchemaDataReason
          description: The reason for the employee's resignation
        signature:
          type: string
          description: Employee signature
        reason_detail:
          type: string
          description: Additional details explaining the resignation reason
        desired_end_date:
          type: string
          format: date
          description: The employee's desired last day of work in YYYY-MM-DD format
        supporting_documents:
          type: string
          format: binary
          description: >-
            This field allows for uploading multiple files at once. Includes
            common image formats (JPG, JPEG, PNG, HEIC) and PDF documents.
      required:
        - reason
        - signature
        - desired_end_date
      title: >-
        EorWorkersContractsContractIdOffboardingPostRequestBodyContentMultipartFormDataSchemaData
    EorWorkersContractsContractIdOffboardingPostResponsesContentApplicationJsonSchemaDataDocumentsSupportingItems:
      type: object
      properties:
        id:
          type: string
          format: cuid
          description: The unique identifier of the file
        name:
          type: string
          description: The name of the file
        type:
          type: string
          description: The type/extension of the file
        created_at:
          type: string
          format: date-time
          description: The date and time the file was created
        updated_at:
          type: string
          format: date-time
          description: The date and time the file was updated
        is_additional_supporting_document:
          type: boolean
          description: >-
            Indicates if this is an additional supporting document added after
            the initial submission
      required:
        - id
        - name
        - type
        - created_at
        - updated_at
        - is_additional_supporting_document
      title: >-
        EorWorkersContractsContractIdOffboardingPostResponsesContentApplicationJsonSchemaDataDocumentsSupportingItems
    EorWorkersContractsContractIdOffboardingPostResponsesContentApplicationJsonSchemaDataDocumentsOffboardingItemsFilesItems:
      type: object
      properties:
        id:
          type: string
          format: cuid
          description: The unique identifier of the file
        name:
          type: string
          description: The name of the file
        type:
          type: string
          description: The type/extension of the file
        created_at:
          type: string
          format: date-time
          description: The date and time the file was created
        updated_at:
          type: string
          format: date-time
          description: The date and time the file was updated
      required:
        - id
        - name
        - type
        - created_at
      title: >-
        EorWorkersContractsContractIdOffboardingPostResponsesContentApplicationJsonSchemaDataDocumentsOffboardingItemsFilesItems
    EorWorkersContractsContractIdOffboardingPostResponsesContentApplicationJsonSchemaDataDocumentsOffboardingItemsStatus:
      type: string
      enum:
        - AWAITING_REVIEW
        - AWAITING_FEEDBACK
        - FEEDBACK_PROVIDED
        - APPROVED
        - CHANGES_REQUESTED_BY_CLIENT
        - CHANGES_REQUESTED_BY_EMPLOYEE
        - WAIVED_REVIEW
        - NOT_RESPONDED
        - CANCELLED
      description: The current status of the document review
      title: >-
        EorWorkersContractsContractIdOffboardingPostResponsesContentApplicationJsonSchemaDataDocumentsOffboardingItemsStatus
    EorWorkersContractsContractIdOffboardingPostResponsesContentApplicationJsonSchemaDataDocumentsOffboardingItemsReviewerType:
      type: string
      enum:
        - CLIENT
        - EMPLOYEE
      description: The type of reviewer for this document
      title: >-
        EorWorkersContractsContractIdOffboardingPostResponsesContentApplicationJsonSchemaDataDocumentsOffboardingItemsReviewerType
    EorWorkersContractsContractIdOffboardingPostResponsesContentApplicationJsonSchemaDataDocumentsOffboardingItems:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: The unique identifier of the document set shared with the employee.
        files:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorWorkersContractsContractIdOffboardingPostResponsesContentApplicationJsonSchemaDataDocumentsOffboardingItemsFilesItems
        status:
          $ref: >-
            #/components/schemas/EorWorkersContractsContractIdOffboardingPostResponsesContentApplicationJsonSchemaDataDocumentsOffboardingItemsStatus
          description: The current status of the document review
        created_at:
          type: string
          format: date-time
          description: The date and time the document set was created
        updated_at:
          type: string
          format: date-time
          description: The date and time the document set was updated
        reviewed_at:
          type:
            - string
            - 'null'
          format: date-time
          description: The date and time when the document was reviewed
        reviewed_by:
          type:
            - string
            - 'null'
          description: >-
            The name of the reviewer for this document. If the reviewer is not
            an employee, it will be the name of the client
        reviewer_type:
          $ref: >-
            #/components/schemas/EorWorkersContractsContractIdOffboardingPostResponsesContentApplicationJsonSchemaDataDocumentsOffboardingItemsReviewerType
          description: The type of reviewer for this document
        reviewer_feedback:
          type:
            - string
            - 'null'
          description: Feedback provided by the reviewer
        notification_instructions:
          type:
            - string
            - 'null'
          description: HTML instructions for the reviewer notification
        is_employee_notification_required:
          type: boolean
          description: >-
            Indicates if the employee should be notified about this document
            review
      required:
        - files
        - status
        - reviewer_type
        - is_employee_notification_required
      title: >-
        EorWorkersContractsContractIdOffboardingPostResponsesContentApplicationJsonSchemaDataDocumentsOffboardingItems
    EorWorkersContractsContractIdOffboardingPostResponsesContentApplicationJsonSchemaDataDocuments:
      type: object
      properties:
        supporting:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorWorkersContractsContractIdOffboardingPostResponsesContentApplicationJsonSchemaDataDocumentsSupportingItems
        offboarding:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorWorkersContractsContractIdOffboardingPostResponsesContentApplicationJsonSchemaDataDocumentsOffboardingItems
          description: Document set shared that requires client or employee review
      required:
        - supporting
        - offboarding
      description: >-
        Document management structure for termination workflow including review
        processes and supporting documents
      title: >-
        EorWorkersContractsContractIdOffboardingPostResponsesContentApplicationJsonSchemaDataDocuments
    EorWorkersContractsContractIdOffboardingPostResponsesContentApplicationJsonSchemaDataRequestDataReason:
      type: string
      enum:
        - STATUS_CHANGE
        - RELOCATION
        - COMPENSATION
        - RETIREMENT
        - JOB_ABANDONMENT
        - WORK_RELATED
        - PERSONAL
        - OTHER_OPPORTUNITY
        - NON_RENEWAL
        - PROBATION
        - ASSIGNMENT_ENDED
        - POSITION_ELIMINATION
        - FORCE_REDUCTION
        - DEATH
        - FOR_CAUSE
        - PERFORMANCE
        - MEDICAL
        - PERFORMANCE_ISSUES
        - ATTENDANCE_ISSUES
        - REORGANIZATION_DOWNSIZING_BUDGET_OR_REDUCTION_OF_WORKFORCE
        - ROLE_BECAME_REDUNDANT_OR_ROLE_CHANGED
        - OFFER_WAS_REVOKED
        - EXITING_THE_MARKET
        - NO_LONGER_WISH_TO_WORK_WITH_DEEL
        - COMPANY_ACQUIRED
        - STEALING
        - MISCONDUCT
        - FALSIFYING
        - HARASSMENT
        - VIOLENCE
        - >-
          REORGANIZATION_DOWNSIZING_BUDGET_OR_REDUCTION_OF_WORKFORCE_OR_ROLE_BECAME_REDUNDANT_OR_ROLE_CHANGED
        - UNAUTHORIZED_ABSENCES_OR_LACK_OF_ATTENDANCE
        - STANDARD_RESELLER_PRACTICE
        - MOVING_EMPLOYEE_TO_INTERNAL_ENTITY
        - MOVING_EMPLOYEE_TO_DEEL_PEO
        - OTHER
      description: The reason for the termination
      title: >-
        EorWorkersContractsContractIdOffboardingPostResponsesContentApplicationJsonSchemaDataRequestDataReason
    EorWorkersContractsContractIdOffboardingPostResponsesContentApplicationJsonSchemaDataRequestDataUsedTimeOffTimeOffsItemsUnit:
      type: string
      enum:
        - BUSINESS_DAY
        - CALENDAR_DAY
        - HOUR
      description: The unit of measurement for time off tracking
      title: >-
        EorWorkersContractsContractIdOffboardingPostResponsesContentApplicationJsonSchemaDataRequestDataUsedTimeOffTimeOffsItemsUnit
    EorWorkersContractsContractIdOffboardingPostResponsesContentApplicationJsonSchemaDataRequestDataUsedTimeOffTimeOffsItemsTrackingPeriodsItems:
      type: object
      properties:
        used:
          type: number
          format: double
          description: The amount of time off used in this tracking period
        end_date:
          type: string
          format: date-time
          description: The end date of the tracking period
        start_date:
          type: string
          format: date-time
          description: The start date of the tracking period
      required:
        - used
        - end_date
        - start_date
      title: >-
        EorWorkersContractsContractIdOffboardingPostResponsesContentApplicationJsonSchemaDataRequestDataUsedTimeOffTimeOffsItemsTrackingPeriodsItems
    EorWorkersContractsContractIdOffboardingPostResponsesContentApplicationJsonSchemaDataRequestDataUsedTimeOffTimeOffsItems:
      type: object
      properties:
        unit:
          $ref: >-
            #/components/schemas/EorWorkersContractsContractIdOffboardingPostResponsesContentApplicationJsonSchemaDataRequestDataUsedTimeOffTimeOffsItemsUnit
          description: The unit of measurement for time off tracking
        policy_type:
          type: string
          description: The type of time-off policy
        tracking_periods:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorWorkersContractsContractIdOffboardingPostResponsesContentApplicationJsonSchemaDataRequestDataUsedTimeOffTimeOffsItemsTrackingPeriodsItems
        scheduled_until_end_date:
          type: number
          format: double
          description: >-
            The amount of time off scheduled until the end date of the current
            tracking period
      required:
        - unit
        - policy_type
        - tracking_periods
        - scheduled_until_end_date
      title: >-
        EorWorkersContractsContractIdOffboardingPostResponsesContentApplicationJsonSchemaDataRequestDataUsedTimeOffTimeOffsItems
    EorWorkersContractsContractIdOffboardingPostResponsesContentApplicationJsonSchemaDataRequestDataUsedTimeOffAdditionalDetails:
      type: object
      properties:
        notes:
          type:
            - string
            - 'null'
          description: Additional notes or comments about the time-off data
        updated_by:
          type:
            - string
            - 'null'
          description: The person or system that last updated the time-off data
        last_updated_at:
          type:
            - string
            - 'null'
          format: date-time
          description: The date and time when the time-off data was last updated
      title: >-
        EorWorkersContractsContractIdOffboardingPostResponsesContentApplicationJsonSchemaDataRequestDataUsedTimeOffAdditionalDetails
    EorWorkersContractsContractIdOffboardingPostResponsesContentApplicationJsonSchemaDataRequestDataUsedTimeOff:
      type: object
      properties:
        time_offs:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorWorkersContractsContractIdOffboardingPostResponsesContentApplicationJsonSchemaDataRequestDataUsedTimeOffTimeOffsItems
        additional_details:
          oneOf:
            - $ref: >-
                #/components/schemas/EorWorkersContractsContractIdOffboardingPostResponsesContentApplicationJsonSchemaDataRequestDataUsedTimeOffAdditionalDetails
            - type: 'null'
        is_deel_pto_confirmed:
          type: boolean
          description: >-
            Indicates whether the PTO allocation has been confirmed by Deel's
            system
      required:
        - time_offs
        - is_deel_pto_confirmed
      description: Time-off usage data including policy information and tracking periods
      title: >-
        EorWorkersContractsContractIdOffboardingPostResponsesContentApplicationJsonSchemaDataRequestDataUsedTimeOff
    EorWorkersContractsContractIdOffboardingPostResponsesContentApplicationJsonSchemaDataRequestDataEligibleForRehire:
      type: string
      enum:
        - 'YES'
        - 'NO'
        - DONT_KNOW
      description: >-
        Parameter to inform whether it would be possible for the client to hire
        the employee again
      title: >-
        EorWorkersContractsContractIdOffboardingPostResponsesContentApplicationJsonSchemaDataRequestDataEligibleForRehire
    EorWorkersContractsContractIdOffboardingPostResponsesContentApplicationJsonSchemaDataRequestData:
      type: object
      properties:
        reason:
          $ref: >-
            #/components/schemas/EorWorkersContractsContractIdOffboardingPostResponsesContentApplicationJsonSchemaDataRequestDataReason
          description: The reason for the termination
        end_date:
          type:
            - string
            - 'null'
          format: date-time
          description: The definitive contract end date
        reason_detail:
          type:
            - string
            - 'null'
          description: Optional field to describe the reason behind the resignation request
        used_time_off:
          $ref: >-
            #/components/schemas/EorWorkersContractsContractIdOffboardingPostResponsesContentApplicationJsonSchemaDataRequestDataUsedTimeOff
          description: >-
            Time-off usage data including policy information and tracking
            periods
        desired_end_date:
          type:
            - string
            - 'null'
          format: date
          description: >-
            The desired end date. If the date is not provided, it will be
            selected by HRX the closest date possible
        eligible_for_rehire:
          oneOf:
            - $ref: >-
                #/components/schemas/EorWorkersContractsContractIdOffboardingPostResponsesContentApplicationJsonSchemaDataRequestDataEligibleForRehire
            - type: 'null'
          description: >-
            Parameter to inform whether it would be possible for the client to
            hire the employee again
        eligible_for_rehire_reason:
          type:
            - string
            - 'null'
          description: Describe if the option DONT_KNOW was selected on eligible_for_rehire
      title: >-
        EorWorkersContractsContractIdOffboardingPostResponsesContentApplicationJsonSchemaDataRequestData
    EorWorkersContractsContractIdOffboardingPostResponsesContentApplicationJsonSchemaData:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: The unique identifier of the offboarding request
        end_date:
          type:
            - string
            - 'null'
          format: date-time
          description: The definitive contract end date
        documents:
          $ref: >-
            #/components/schemas/EorWorkersContractsContractIdOffboardingPostResponsesContentApplicationJsonSchemaDataDocuments
          description: >-
            Document management structure for termination workflow including
            review processes and supporting documents
        created_at:
          type: string
          format: date-time
          description: The date and time the offboarding request was created
        updated_at:
          type: string
          format: date-time
          description: The date and time the offboarding request was updated
        contract_id:
          type: string
          description: The unique identifier of the employee contract.
        is_sensitive:
          type: boolean
          description: >-
            Indicates if the offboarding request is sensitive. This is used to
            restrict access to the request only to the requester and the HRX
            team.
        request_data:
          oneOf:
            - $ref: >-
                #/components/schemas/EorWorkersContractsContractIdOffboardingPostResponsesContentApplicationJsonSchemaDataRequestData
            - type: 'null'
        desired_end_date:
          type:
            - string
            - 'null'
          format: date-time
          description: >-
            The desired end date. If the date is not provided, it will be
            selected by HRX the closest date possible
      title: >-
        EorWorkersContractsContractIdOffboardingPostResponsesContentApplicationJsonSchemaData
    eor-worker-offboarding_submitEORWorkerResignation_Response_201:
      type: object
      properties:
        data:
          $ref: >-
            #/components/schemas/EorWorkersContractsContractIdOffboardingPostResponsesContentApplicationJsonSchemaData
      required:
        - data
      title: eor-worker-offboarding_submitEORWorkerResignation_Response_201
    EorWorkersContractsContractIdOffboardingPostResponsesContentApplicationJsonSchemaErrorsItems:
      type: object
      properties:
        code:
          type: string
          description: Error code of the handler which produced the returned error
        field:
          type: string
          description: The field name where error occurred (null for server errors)
        message:
          type: string
          description: Description of the returned error
      title: >-
        EorWorkersContractsContractIdOffboardingPostResponsesContentApplicationJsonSchemaErrorsItems
    SubmitEorWorkerResignationRequestBadRequestError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorWorkersContractsContractIdOffboardingPostResponsesContentApplicationJsonSchemaErrorsItems
      title: SubmitEorWorkerResignationRequestBadRequestError
    SubmitEorWorkerResignationRequestUnauthorizedError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorWorkersContractsContractIdOffboardingPostResponsesContentApplicationJsonSchemaErrorsItems
      title: SubmitEorWorkerResignationRequestUnauthorizedError
    SubmitEorWorkerResignationRequestForbiddenError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorWorkersContractsContractIdOffboardingPostResponsesContentApplicationJsonSchemaErrorsItems
      title: SubmitEorWorkerResignationRequestForbiddenError
    ApiErrorRequest:
      type: object
      properties:
        method:
          type: string
          description: The HTTP method of the failed request
        url:
          type: string
          description: The relative URL of the failed request
        status:
          type: number
          format: double
          description: The status code of the response
        api_req_id:
          type: string
          description: The request ID of the failed request
        docs:
          type: string
          description: >-
            A link to the official documentation for the requested endpoint
            resource
        source:
          type: string
          description: The source handler which produced the returned error
        code:
          type: number
          format: double
          description: The code of the source handler which produced the returned error
      title: ApiErrorRequest
    ApiError:
      type: object
      properties:
        message:
          type: string
          description: A description of the returned error
        path:
          type: string
          description: The JSON path where input validation failed
      title: ApiError
    ApiErrorContainer:
      type: object
      properties:
        request:
          $ref: '#/components/schemas/ApiErrorRequest'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ApiError'
      title: ApiErrorContainer
    SubmitEorWorkerResignationRequestInternalServerError:
      type: object
      properties:
        errors:
          type: array
          items:
            $ref: >-
              #/components/schemas/EorWorkersContractsContractIdOffboardingPostResponsesContentApplicationJsonSchemaErrorsItems
      title: SubmitEorWorkerResignationRequestInternalServerError
  securitySchemes:
    deelToken:
      type: http
      scheme: bearer
      description: >
        ## Authentication

        The Deel API uses bearer tokens to authenticate requests. All API calls
        must be made over HTTPS — calls over plain HTTP or without
        authentication will fail.


        ```curl

        curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
          -H 'Authorization: Bearer YOUR-TOKEN-HERE'
        ```


        [Learn more about authentication](/api/authentication)
    oauth2:
      type: http
      scheme: bearer
      description: >-
        Standard OAuth2 security scheme based on
        https://swagger.io/docs/specification/authentication/

```

## SDK Code Examples

```python
import requests

url = "https://api.letsdeel.com/rest/v2/eor/workers/contracts/5B74FnLM/offboarding"

payload = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"data\"\r\n\r\n{\n  \"reason\": \"EMPLOYEE_FOUND_ANOTHER_JOB\",\n  \"signature\": \"John Doe\",\n  \"desired_end_date\": \"2025-12-31\"\n}\r\n-----011000010111000001101001--\r\n"
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "multipart/form-data; boundary=---011000010111000001101001"
}

response = requests.post(url, data=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.letsdeel.com/rest/v2/eor/workers/contracts/5B74FnLM/offboarding';
const form = new FormData();
form.append('data', '{
  "reason": "EMPLOYEE_FOUND_ANOTHER_JOB",
  "signature": "John Doe",
  "desired_end_date": "2025-12-31"
}');

const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

options.body = form;

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.letsdeel.com/rest/v2/eor/workers/contracts/5B74FnLM/offboarding"

	payload := strings.NewReader("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"data\"\r\n\r\n{\n  \"reason\": \"EMPLOYEE_FOUND_ANOTHER_JOB\",\n  \"signature\": \"John Doe\",\n  \"desired_end_date\": \"2025-12-31\"\n}\r\n-----011000010111000001101001--\r\n")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.letsdeel.com/rest/v2/eor/workers/contracts/5B74FnLM/offboarding")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request.body = "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"data\"\r\n\r\n{\n  \"reason\": \"EMPLOYEE_FOUND_ANOTHER_JOB\",\n  \"signature\": \"John Doe\",\n  \"desired_end_date\": \"2025-12-31\"\n}\r\n-----011000010111000001101001--\r\n"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.letsdeel.com/rest/v2/eor/workers/contracts/5B74FnLM/offboarding")
  .header("Authorization", "Bearer <token>")
  .body("-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"data\"\r\n\r\n{\n  \"reason\": \"EMPLOYEE_FOUND_ANOTHER_JOB\",\n  \"signature\": \"John Doe\",\n  \"desired_end_date\": \"2025-12-31\"\n}\r\n-----011000010111000001101001--\r\n")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.letsdeel.com/rest/v2/eor/workers/contracts/5B74FnLM/offboarding', [
  'multipart' => [
    [
        'name' => 'data',
        'contents' => '{
  "reason": "EMPLOYEE_FOUND_ANOTHER_JOB",
  "signature": "John Doe",
  "desired_end_date": "2025-12-31"
}'
    ]
  ]
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.letsdeel.com/rest/v2/eor/workers/contracts/5B74FnLM/offboarding");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddParameter("undefined", "-----011000010111000001101001\r\nContent-Disposition: form-data; name=\"data\"\r\n\r\n{\n  \"reason\": \"EMPLOYEE_FOUND_ANOTHER_JOB\",\n  \"signature\": \"John Doe\",\n  \"desired_end_date\": \"2025-12-31\"\n}\r\n-----011000010111000001101001--\r\n", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]
let parameters = [
  [
    "name": "data",
    "value": "{
  \"reason\": \"EMPLOYEE_FOUND_ANOTHER_JOB\",
  \"signature\": \"John Doe\",
  \"desired_end_date\": \"2025-12-31\"
}"
  ]
]

let boundary = "---011000010111000001101001"

var body = ""
var error: NSError? = nil
for param in parameters {
  let paramName = param["name"]!
  body += "--\(boundary)\r\n"
  body += "Content-Disposition:form-data; name=\"\(paramName)\""
  if let filename = param["fileName"] {
    let contentType = param["content-type"]!
    let fileContent = String(contentsOfFile: filename, encoding: String.Encoding.utf8)
    if (error != nil) {
      print(error as Any)
    }
    body += "; filename=\"\(filename)\"\r\n"
    body += "Content-Type: \(contentType)\r\n\r\n"
    body += fileContent
  } else if let paramValue = param["value"] {
    body += "\r\n\r\n\(paramValue)"
  }
}

let request = NSMutableURLRequest(url: NSURL(string: "https://api.letsdeel.com/rest/v2/eor/workers/contracts/5B74FnLM/offboarding")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```